﻿@model eCommerce.UI.ViewModels.CatalogoViewModel

<div class="widget">
    @*<h1 class="categories-title">FILTRAR POR PRECIO</h1>
    <div class="toggle-content2" style="display: block;">
        <div class="s_range">
            <div id="sliderRange"></div>
            <div class="range_v">
                <span>Desde</span>
                <input type="text" id="price1" name="price1" title="" value="" class="input" />
                <span>a</span>
                <input type="text" id="price2" name="price2" title="" value="" class="input" />
            </div>
        </div>
        <div class="clearfix"></div>
    </div>*@
        @*<h3 class="categories-title">FILTRAR POR COLOR</h3>
        @if (Model.Colors.Any())
        {
            <div class="category-filter">
                <ul>
                    @foreach (var color in Model.Colors)
                    {
                        if (Model.Filter.Colores != null && Model.Filter.Colores.Contains(color.ColorName))
                        {
                            <li><input class="le-checkbox producto-color" checked type="checkbox" value="@color.ColorName"><i class="fake-box"></i> <label>@color.ColorName</label> <span class="pull-right">(@color.Count)</span></li>
                        }
                        else
                        {
                            <li><input class="le-checkbox producto-color" type="checkbox" value="@color.ColorName"><i class="fake-box"></i> <label>@color.ColorName</label> <span class="pull-right">(@color.Count)</span></li>
                        }
                    }
                </ul>
            </div>
        }*@

        <h3 class="categories-title">FILTRAR POR TALLE</h3>
        @if (Model.Sizes.Any())
        {
            <div class="category-filter">
                <ul>
                    @foreach (var size in Model.Sizes)
                    {
                        if (Model.Filter.Talles != null && Model.Filter.Talles.Contains(size.SizeName))
                        {
                            <li><input class="le-checkbox producto-talle" checked type="checkbox" value="@size.SizeName"><i class="fake-box"></i> <label>@size.SizeName</label> <span class="pull-right">(@size.Count)</span></li>
                        }
                        else
                        {
                            <li><input class="le-checkbox producto-talle" type="checkbox" value="@size.SizeName"><i class="fake-box"></i> <label>@size.SizeName</label> <span class="pull-right">(@size.Count)</span></li>
                        }
                    }
                </ul>
            </div>
        }

        @*<h1 class="categories-title">FILTRAR POR PRECIO</h1>
        <div class="category-filter">
            <div class="price-range-holder">
                <div class="form-group">
                    <input type="text" class="form-control filter_price" id="precioDesde" name="precioDesde" placeholder="$" autocomplete="off" value="@Model.Filter.PrecioDesde">
                    <label class="control-label filter_price" for="inputInlineUsername">a </label>
                    <input type="text" class="form-control filter_price" id="precioHasta" name="precioHasta" placeholder="$" autocomplete="off" value="@Model.Filter.PrecioHasta">
                </div>
            </div>
        </div>*@

        <div class="margin-top-10">
            <span class="filter-button">
                <a id="btnFiltro" href="javascript:void(0)">Filtrar</a>
                @if (Model.Filter.PrecioDesde != null || Model.Filter.PrecioHasta != null || Model.Filter.Talles != null || Model.Filter.Colores != null)
                {
                    <a id="btnSacarFiltro" href="javascript:void(0)">Quitar filtros</a>
                }
            </span>
        </div>
                
    </div>

